Bug 1030710 - Review Request: python-pgpdump - PGP packet parser library in Python
Review Request: python-pgpdump - PGP packet parser library in Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 20:49 EST by Christopher Meng
Modified: 2014-01-25 00:08 EST (History)
4 users (show)

See Also:
Fixed In Version: python-pgpdump-1.4-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-25 00:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
aviso: needinfo+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
python-pgpdump patch for Python 2.6 (3.24 KB, patch)
2014-01-16 23:47 EST, Avram Lubkin
no flags Details | Diff
SPEC file for python-pgpdump on EPEL6 (1.48 KB, text/x-rpm-spec)
2014-01-16 23:49 EST, Avram Lubkin
no flags Details

  None (edit)
Description Christopher Meng 2013-11-14 20:49:14 EST
Spec URL: http://cicku.me/python-pgpdump.spec
SRPM URL: http://cicku.me/python-pgpdump-1.4-1.fc21.src.rpm
Description: python-pgpdump is a Python library for parsing PGP packets. The intent here 
is not on completeness, as we don't currently decode every packet type, but 
on being able to do what people actually have to 95% of the time. 

Currently supported things include:

* Signature packets
* Public key packets
* Secret key packets
* Trust, user ID, and user attribute packets
* ASCII-armor decoding and CRC check
Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-11-16 10:49:00 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6188123

$ rpmlint -i -v *python3-pgpdump.noarch: I: checking
python3-pgpdump.noarch: I: checking-url http://www.mew.org/~kazu/proj/pgpdump/ (timeout 10 seconds)
python-pgpdump.noarch: I: checking
python-pgpdump.noarch: I: checking-url http://www.mew.org/~kazu/proj/pgpdump/ (timeout 10 seconds)
python-pgpdump.src: I: checking
python-pgpdump.src: I: checking-url http://www.mew.org/~kazu/proj/pgpdump/ (timeout 10 seconds)
python-pgpdump.src: I: checking-url https://pypi.python.org/packages/source/p/pgpdump/pgpdump-1.4.tar.gz (timeout 10 seconds)
python-pgpdump.spec: I: checking-url https://pypi.python.org/packages/source/p/pgpdump/pgpdump-1.4.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    BSD
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    d1aae24e3a6841239363dc52744dff3bcd766dab590dbafbb1ad70a8c100a657  pgpdump-1.4.tar.gz
    d1aae24e3a6841239363dc52744dff3bcd766dab590dbafbb1ad70a8c100a657  pgpdump-1.4.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 2 Christopher Meng 2013-11-16 12:58:50 EST
Thanks!

New Package SCM Request
=======================
Package Name: python-pgpdump
Short Description: PGP packet parser library in Python
Owners: cicku
Branches: f20 f19
Comment 3 Gwyn Ciesla 2013-11-18 08:09:05 EST
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-11-19 20:29:43 EST
python-pgpdump-1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-pgpdump-1.4-1.fc20
Comment 5 Fedora Update System 2013-11-23 23:06:37 EST
python-pgpdump-1.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 6 Fedora Update System 2013-12-13 22:25:55 EST
python-pgpdump-1.4-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 7 Avram Lubkin 2014-01-16 23:47:28 EST
Created attachment 851395 [details]
python-pgpdump patch for Python 2.6
Comment 8 Avram Lubkin 2014-01-16 23:49:54 EST
Created attachment 851396 [details]
SPEC file for python-pgpdump on EPEL6
Comment 9 Avram Lubkin 2014-01-16 23:51:24 EST
Would like to request an EPEL 6 branch of python-pgpdump.

This requires patching the source to support Python 2.6. I've created a patch which completes all the unittests on Python 2.6.6 (RHEL6), 2.7.5 (Fedora 20), and 3.3.2 (Fedora 20).

The patch is attached and has also been sent to upstream developer.

Additionally, the spec file needed to be reworked to handle the python macros supported in RHEL 6, mainly getting rid of python3 references and changing python2 references to python. I did not attempt to create a spec file which can be used across Fedora and EPEL, but can if required.
Comment 10 Christopher Meng 2014-01-17 01:54:51 EST
Package Change Request 
====================== 
Package Name: python-pgpdump
New Branches: el6 epel7
Owners: cicku
Comment 11 Gwyn Ciesla 2014-01-17 08:01:02 EST
Git done (by process-git-requests).
Comment 12 Christopher Meng 2014-01-23 22:45:06 EST
Please help test this in EPEL6 and leave a positive karma if works as expected.
Comment 13 Fedora Update System 2014-01-23 22:45:34 EST
python-pgpdump-1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-pgpdump-1.4-2.el6
Comment 14 Fedora Update System 2014-01-25 00:08:56 EST
python-pgpdump-1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.